h07299
s 00001/00001/00113
d D 1.2 83/03/29 13:09:55 mjb 2 1
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00114/00000/00000
d D 1.1 83/03/02 17:45:25 mjb 1 0
c date and time created 83/03/02 17:45:25 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph4
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Manage the GRAPH menu selection and actions for        #
#               overlay 1.                                             #
#                                                                      #
#     Input Parameters:                                                #
#            none                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer i, item
SHORTINT bitem

integer iclear, jump, jmpary(MAXxJUMP)

include(`gphcom')

data jmpary /JUMPxTABLE/

call chgmod (EXITxGRAPHICSxMODE)

iclear = YES
call apmenu (mid, iclear)

action = NUL

if (mid == GRAPHxDATAxFRAME) {      # graph data entry  
D 2
   call cgdatt (krmain)
E 2
I 2
   call cgdatt (krmain, 15)
E 2
   }
else if (mid == GRAPHxEDIT) {            # graph edit        
   call cgeatt
   }
else if (mid == ADVANCEDxGRAPHxEDIT) {   # advanced graph edit        
   call cgaatt
   }
else if (mid >= AXESxEDIT) {             # graph axes edit        
   call caeatt
   }

call apdata (1, FOREVER)

repeat {
   call selitm (mid, item)
   bitem = item
   jump = MAXxJUMP
   do i=1, MAXxJUMP {
      if (mid == jmpary(i)) {
         jump = i
         break
         }
      }

   go to (JUMPxTABLE), jump

   MAINxMENU continue

   CREATExNEWxCHART continue

   DATAxINPUTxMODE continue 

   MULTIPLExCHARTSxPERxPAGE continue 

   DEVICExSELECTION continue 

   PIExEDIT continue 

   ADVANCEDxPIExEDIT continue 
      go to OTHERxWISE

   GRAPHxDATAxFRAME continue
      call mnugdt (bitem)
      go to OTHERxWISE

   GRAPHxEDIT continue 
      call mnuged (bitem)
      go to OTHERxWISE

   ADVANCEDxGRAPHxEDIT continue 
      call mnugae (bitem)
      go to OTHERxWISE

   NUMERICxAXESxEDIT continue 
      call mnuaxe (bitem)
      go to OTHERxWISE

   PERIODICxAXESxEDIT continue 
      call mnuaxe (bitem)

   ANNOTATE continue 

   MOVExLEGEND continue

   DATAxACCESSxMETHOD continue 

   OTHERxWISE continue

   } until (action != 0)

return
end
E 1
